﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;
using App08.Models;

namespace App08
{
    public class StudentDBContext : DbContext
    {
        public StudentDBContext(DbContextOptions<StudentDBContext> opt)
            : base(opt)
        {
            // ...
        }

        public DbSet<Student> Students
        {
            get { return Set<Student>(); }
        }

        protected override void OnModelCreating(ModelBuilder modelBuilder)
        {
            base.OnModelCreating(modelBuilder);
            // 只是把数据表名称设定一下，不执行此行也无所谓
            modelBuilder.Entity<Student>().ToTable("tb_student");
        }
    }
}
